<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="f7fe8db3-b74b-465f-b200-9bc802930431" data-root-id="p1001" style="display: contents;"></div>
  
    <script type="application/json" id="p1002">
      {"136d241a-4d72-4b38-b632-e67927ceec00":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"Div","id":"p1001","attributes":{"width":200,"height":100,"text":"Your &lt;a href=\"https://en.wikipedia.org/wiki/HTML\"&gt;HTML&lt;/a&gt;-supported text is initialized with the &lt;b&gt;text&lt;/b&gt; argument.  The\nremaining div arguments are &lt;b&gt;width&lt;/b&gt; and &lt;b&gt;height&lt;/b&gt;. For this example, those values\nare &lt;i&gt;200&lt;/i&gt; and &lt;i&gt;100&lt;/i&gt;, respectively."}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1002').textContent;
              const render_items = [{"docid":"136d241a-4d72-4b38-b632-e67927ceec00","roots":{"p1001":"f7fe8db3-b74b-465f-b200-9bc802930431"},"root_ids":["p1001"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>